package com.gamedog.vididin.features.withdrawrecord


import com.ama.core.architecture.appBase.vm.AppViewModel
import com.gamedog.vididin.beans.RecordGold
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.flowOf
import javax.inject.Inject
import com.gamedog.vididin.features.withdrawrecord.RecordGoldUiState as UiState


@HiltViewModel
class RecordGoldViewModel @Inject constructor() : AppViewModel<UiState>() {
    override val uiStateInitialValue: UiState = UiState()
    override val uiStateFlow: Flow<UiState> = flowOf()


}

data class RecordGoldUiState(
    val mRecordList: MutableList<RecordGold> = mutableListOf()
)